package org.ts.ddcs.itemdatatemplate.sw;

import com.alibaba.fastjson.JSONObject;
import org.ts.ddcs.common.util.BytesHelp;
import org.ts.ddcs.common.util.Sw2014DatagramTemplateHelp;
import org.ts.ddcs.common.util.ValueLen;
import org.ts.ddcs.itemdatatemplate.DataItemTemplate;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * FF30
 * 流量计1，1小时内5分钟时段流量
 */
public class DataItemTemplateEXT_30 extends DataItemTemplate {


    @Override
    public int stream(byte[] data, int index) {
        this.macth = false;
        int count = 0;
        String flag = BytesHelp.byte2HexStr(data, index + count, 2);
        if (flag.toUpperCase().equals(this.feture)) {
            count += 2;
            ValueLen valueLen = Sw2014DatagramTemplateHelp.getValueLen(data, index + count);
            count += 1;

            count += valueLen.getByteLen();
            this.macth = true;
            this.valueLen = valueLen;
        }
        return count;
    }

    @Override
    public int stream(byte[] data, int index, int batchSize) {
        return 0;
    }

    @Override
    public String getStringValue() {
        return null;
    }

    @Override
    public void saveValue(Map<String, List<Map<String,Object>>> keyStore) {

    }
}
